package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="DataPapSmear_T")
public class DataPapSmear extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectPapSmearFk")
	@NotNull(message="PapSmear tidak boleh kosong")
	@Caption(value="PapSmear")
	public PapSmear papSmear;
	
	@Column(name = "ObjectDokterPemeriksaFk", insertable=false,updatable=false,nullable=false)
	private Integer papSmearId;
	
	@Caption(value="noPemeriksaan")
	@Column(name = "noPemeriksaan", nullable = true)
	private Integer noPemeriksaan;
	
	@Caption(value="tglHasil")
	@Column(name = "tglHasil", nullable = true)
	private Date tglHasil;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDokterPemeriksaFk")
	@NotNull(message="Dokter Pemeriksa tidak boleh kosong")
	@Caption(value="Dokter Pemeriksa")
	private Pegawai dokterPemeriksa;
	
	@Column(name = "ObjectDokterPemeriksaFk", insertable=false,updatable=false)
	private Integer dokterPemeriksaId;

	public PapSmear getPapSmear() {
		return papSmear;
	}

	public void setPapSmear(PapSmear papSmear) {
		this.papSmear = papSmear;
	}

	public Integer getPapSmearId() {
		return papSmearId;
	}

	public void setPapSmearId(Integer papSmearId) {
		this.papSmearId = papSmearId;
	}

	public Integer getNoPemeriksaan() {
		return noPemeriksaan;
	}

	public void setNoPemeriksaan(Integer noPemeriksaan) {
		this.noPemeriksaan = noPemeriksaan;
	}

	public Date getTglHasil() {
		return tglHasil;
	}

	public void setTglHasil(Date tglHasil) {
		this.tglHasil = tglHasil;
	}

	public Pegawai getDokterPemeriksa() {
		return dokterPemeriksa;
	}

	public void setDokterPemeriksa(Pegawai dokterPemeriksa) {
		this.dokterPemeriksa = dokterPemeriksa;
	}
	
	
}
